org.h2.store.fs

## Class FilePathNio

- java.lang.Object
- - org.h2.store.fs.FilePath
  - - org.h2.store.fs.FilePathWrapper
    - - org.h2.store.fs.FilePathNio

Direct Known Subclasses:
  FilePathNioMapped

    public class FilePathNio
    extends FilePathWrapper

This file system stores files on disk and uses java.nio to access the files. This class uses FileChannel.

### Field Summary

### Fields inherited from class org.h2.store.fs.FilePath

`name`

### Constructor Summary

Constructors
Constructor and Description
`FilePathNio()`

### Method Summary

Methods
`java.lang.String` `getScheme()` Get the scheme (prefix) for this file provider.
`java.nio.channels.FileChannel` `open(java.lang.String mode)` Open a random access file object.

### Methods inherited from class org.h2.store.fs.FilePathWrapper

`canWrite, createDirectory, createFile, createTempFile, delete, exists, getBase, getParent, getPath, getPrefix, isAbsolute, isDirectory, lastModified, moveTo, newDirectoryStream, newInputStream, newOutputStream, setReadOnly, size, toRealPath, unwrap, unwrap, wrap`

### Methods inherited from class org.h2.store.fs.FilePath

`get, getName, getNextTempFileNamePart, register, toString, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FilePathNio

    public FilePathNio()

### Method Detail

#### open

    public java.nio.channels.FileChannel open(java.lang.String mode)
                                       throws java.io.IOException

Description copied from class: `FilePath`
Open a random access file object.

Overrides:
  `open` in class `FilePathWrapper`
Parameters:
  `mode` - the access mode. Supported are r, rw, rws, rwd
Returns:
  the file object
Throws:
  `java.io.IOException` - If an I/O error occurs

#### getScheme

    public java.lang.String getScheme()

Description copied from class: `FilePath`
Get the scheme (prefix) for this file provider. This is similar to `java.nio.file.spi.FileSystemProvider.getScheme`.

Specified by:
  `getScheme` in class `FilePath`
Returns:
  the scheme